summaryrefslogtreecommitdiff
path: root/tools/osx_packaging
diff options
context:
space:
mode:
Diffstat (limited to 'tools/osx_packaging')
-rw-r--r--tools/osx_packaging/Ardour2-SAE.icnsbin0 -> 57885 bytes
-rw-r--r--tools/osx_packaging/InfoPlist.strings.in4
-rwxr-xr-xtools/osx_packaging/sae_ladspa/caps.sobin0 -> 804424 bytes
-rwxr-xr-xtools/osx_packaging/sae_ladspa/cmt.sobin0 -> 313840 bytes
-rwxr-xr-xtools/osx_packaging/sae_ladspa/fast_lookahead_limiter_1913.sobin0 -> 49912 bytes
-rwxr-xr-xtools/osx_packaging/sae_ladspa/gverb_1216.sobin0 -> 78876 bytes
-rwxr-xr-xtools/osx_packaging/sae_ladspa/single_para_1203.sobin0 -> 49876 bytes
-rwxr-xr-xtools/osx_packaging/sae_ladspa/tap_pitch.sobin0 -> 46500 bytes
-rw-r--r--tools/osx_packaging/startup_script24
9 files changed, 28 insertions, 0 deletions
diff --git a/tools/osx_packaging/Ardour2-SAE.icns b/tools/osx_packaging/Ardour2-SAE.icns
new file mode 100644
index 0000000000..417107c899
--- /dev/null
+++ b/tools/osx_packaging/Ardour2-SAE.icns
Binary files differ
diff --git a/tools/osx_packaging/InfoPlist.strings.in b/tools/osx_packaging/InfoPlist.strings.in
new file mode 100644
index 0000000000..1ee76ac4c0
--- /dev/null
+++ b/tools/osx_packaging/InfoPlist.strings.in
@@ -0,0 +1,4 @@
+CFBundleName = "@APPNAME@";
+CFBundleShortVersionString = "@VERSION@";
+CFBundleGetInfoString = "@APPNAME@ v @VERSION@ Copyright 2001-2008 Paul Davis";
+NSHumanReadableCopyright = "Copyright 2001-2008 Paul Davis.";
diff --git a/tools/osx_packaging/sae_ladspa/caps.so b/tools/osx_packaging/sae_ladspa/caps.so
new file mode 100755
index 0000000000..e53b10791d
--- /dev/null
+++ b/tools/osx_packaging/sae_ladspa/caps.so
Binary files differ
diff --git a/tools/osx_packaging/sae_ladspa/cmt.so b/tools/osx_packaging/sae_ladspa/cmt.so
new file mode 100755
index 0000000000..e834f6528f
--- /dev/null
+++ b/tools/osx_packaging/sae_ladspa/cmt.so
Binary files differ
diff --git a/tools/osx_packaging/sae_ladspa/fast_lookahead_limiter_1913.so b/tools/osx_packaging/sae_ladspa/fast_lookahead_limiter_1913.so
new file mode 100755
index 0000000000..159f36d89b
--- /dev/null
+++ b/tools/osx_packaging/sae_ladspa/fast_lookahead_limiter_1913.so
Binary files differ
diff --git a/tools/osx_packaging/sae_ladspa/gverb_1216.so b/tools/osx_packaging/sae_ladspa/gverb_1216.so
new file mode 100755
index 0000000000..0aea9095d7
--- /dev/null
+++ b/tools/osx_packaging/sae_ladspa/gverb_1216.so
Binary files differ
diff --git a/tools/osx_packaging/sae_ladspa/single_para_1203.so b/tools/osx_packaging/sae_ladspa/single_para_1203.so
new file mode 100755
index 0000000000..514bd9be91
--- /dev/null
+++ b/tools/osx_packaging/sae_ladspa/single_para_1203.so
Binary files differ
diff --git a/tools/osx_packaging/sae_ladspa/tap_pitch.so b/tools/osx_packaging/sae_ladspa/tap_pitch.so
new file mode 100755
index 0000000000..c32e5ee88e
--- /dev/null
+++ b/tools/osx_packaging/sae_ladspa/tap_pitch.so
Binary files differ
diff --git a/tools/osx_packaging/startup_script b/tools/osx_packaging/startup_script
new file mode 100644
index 0000000000..c7b9b5acf8
--- /dev/null
+++ b/tools/osx_packaging/startup_script
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+#
+# NOTE: Leopard appears not to set PATH for this script, so be absolutely certain
+# never to use any other program without fully specifying the path.
+#
+# this is used to detect a missing JACK install which
+# is the most common thing causing startup crashes.
+#
+
+if test ! -x /usr/local/bin/jackd -a ! -x /usr/bin/jackd ; then
+ /usr/bin/osascript -e 'tell application "Finder"
+display dialog "You do not have JACK installed. Ardour will not run without it. See http://jackaudio.org/ for info" buttons["OK"]
+end tell'
+ exit 1
+fi
+
+#
+# all clear, lets go
+# this quoting is all needed to handle installation
+# in folders likes /home/user/Frank's Wild Years
+
+CWD="`/usr/bin/dirname \"$0\"`"
+exec "$CWD/Ardour2.bin" "$*"